Package org.apache.any23.extractor.rdfa

## Class XSLTStylesheet

- java.lang.Object
- - org.apache.any23.extractor.rdfa.XSLTStylesheet

-     public class XSLTStylesheet
      extends Object

  An XSLT stylesheet loaded from an InputStream, can be applied to DOM trees and writes the result to a `Writer`.
  Author:
    Gabriele Renzi, Richard Cyganiak (richard@cyganiak.de)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XSLTStylesheet​(InputStream xsltFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `applyTo​(Document document, Writer output)` | Applies the XSLT transformation
    `void` | `applyTo​(Document document, Writer output, Map<String,​String> parameters)` | Applies the XSLT transformation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTStylesheet

          public XSLTStylesheet​(InputStream xsltFile)

  - ### Method Detail

    - #### applyTo

          public void applyTo​(Document document,
                              Writer output)
                       throws XSLTStylesheetException

      Applies the XSLT transformation
      Parameters:
        `document` - where apply the transformation
        `output` - the `Writer` where write on
      Throws:
        `XSLTStylesheetException` - if there is an error applying the transformation

    - #### applyTo

          public void applyTo​(Document document,
                              Writer output,
                              Map<String,​String> parameters)
                       throws XSLTStylesheetException

      Applies the XSLT transformation
      Parameters:
        `document` - where apply the transformation
        `output` - the `Writer` where write on
        `parameters` - the parameters to be passed to `Transformer`. Pass an empty `Map` if no parameters are foreseen.
      Throws:
        `XSLTStylesheetException` - if there is an error applying the transformation